<?php

// paypal post
add_action('admin_post_add_wpeevent_button_ipn', 'wpplugin_wpeevent_button_ipn');
add_action('admin_post_nopriv_add_wpeevent_button_ipn', 'wpplugin_wpeevent_button_ipn');

function wpplugin_wpeevent_button_ipn() {

	$options = get_option('wpeevent_settingsoptions');
	foreach ($options as $k => $v ) { $value[$k] = esc_attr($v); }
	
	if ($value['mode'] == "1") {
		define("USE_SANDBOX", 1);
	} else {
		define("USE_SANDBOX", 0);
	}

	$raw_post_data = file_get_contents('php://input');
	$raw_post_array = explode('&', $raw_post_data);
	$myPost = array();
	foreach ($raw_post_array as $keyval) {
		$keyval = explode ('=', $keyval);
		if (count($keyval) == 2)
			$myPost[$keyval[0]] = urldecode($keyval[1]);
	}

	$req = 'cmd=_notify-validate';
	if(function_exists('get_magic_quotes_gpc')) {
		$get_magic_quotes_exists = true;
	}
	foreach ($myPost as $key => $value) {
		if($get_magic_quotes_exists == true && get_magic_quotes_gpc() == 1) {
			$value = urlencode(stripslashes($value));
		} else {
			$value = urlencode($value);
		}
		$req .= "&$key=$value";
	}

	if(USE_SANDBOX == true) {
		$paypal_url = "https://www.sandbox.paypal.com/cgi-bin/webscr";
	} else {
		$paypal_url = "https://www.paypal.com/cgi-bin/webscr";
	}

	$ch = curl_init($paypal_url);
	if ($ch == FALSE) {
		return FALSE;
	}

	curl_setopt($ch, CURLOPT_HTTP_VERSION, CURL_HTTP_VERSION_1_1);
	curl_setopt($ch, CURLOPT_POST, 1);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER,1);
	curl_setopt($ch, CURLOPT_POSTFIELDS, $req);
	curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 1);
	curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 2);
	curl_setopt($ch, CURLOPT_FORBID_REUSE, 1);

	if(DEBUG == true) {
		curl_setopt($ch, CURLOPT_HEADER, 1);
		curl_setopt($ch, CURLINFO_HEADER_OUT, 1);
	}

	curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 30);
	curl_setopt($ch, CURLOPT_HTTPHEADER, array('Connection: Close'));

	$res = curl_exec($ch);
	if (curl_errno($ch) != 0)
		{
		if(DEBUG == true) {	
			error_log(date('[Y-m-d H:i e] '). "Can't connect to PayPal to validate IPN message: " . curl_error($ch) . PHP_EOL, 3, LOG_FILE);
		}
		curl_close($ch);
		exit;

	} else {
			if(DEBUG == true) {
				error_log(date('[Y-m-d H:i e] '). "HTTP request of validation request:". curl_getinfo($ch, CURLINFO_HEADER_OUT) ." for IPN payload: $req" . PHP_EOL, 3, LOG_FILE);
				error_log(date('[Y-m-d H:i e] '). "HTTP response of validation request: $res" . PHP_EOL, 3, LOG_FILE);
			}
			curl_close($ch);
	}

	$tokens = 						explode("\r\n\r\n", trim($res));
	$res = 							trim(end($tokens));

	if (strcmp ($res, "VERIFIED") == 0) {

		// assign posted variables to local variables
		$txn_id = 					sanitize_text_field($_POST['txn_id']);
		$custom = 					sanitize_text_field($_POST['custom']);
		
		
		
		
		
		
		// expode custom value array
		$custom_array = explode("|", $custom);
		
		// get first value
		$custom = $custom_array[0];
		
		
		// reduce inventory quantity
		
		// if setting to turn on decrement inventory is on
		$inventory == "0";
		if ($inventory == "1") {
			// remove first and last value from array
			array_shift($custom_array);
			array_pop($custom_array);
			
			$count_array = count($custom_array);
			
			$counter = "0";
			$counter_alpha = "a";
			
			while ($counter < $count_array) {
				
				// get old quantity
				$wpeevent_button_qty = esc_attr(get_post_meta($custom,"wpeevent_button_qty_$counter_alpha",true));
				if (!$wpeevent_button_qty) { $wpeevent_button_qty = "0"; }
				
				$counter++;
				$qty_sold = $custom_array[$counter];
				
				$new_qty = $wpeevent_button_qty - $qty_sold;
				
				if ($new_qty < 0) {
					$new_qty = "0";
				}
				update_post_meta($custom,"wpeevent_button_qty_$counter_alpha",$new_qty);
				
				$counter++;
				$counter_alpha++;
			}
		}
		
		
		
		
		// lookup post author to save ipn as based on author of button
		$post_id_data = 		get_post($custom); 
		$post_id_author = 		$post_id_data->post_author;
		
		// save responce to db
		
		// make sure txt id isset, if payment is recurring paypal will post successful ipn separately and that should not be logged
		if (!empty($txn_id)) {
			
			// assign posted variables to local variables
			
			$item_name_1 = 			sanitize_text_field($_POST['item_name1']);
			$item_price_1 = 		sanitize_text_field($_POST['mc_gross_1']);
			$item_qty_1 = 			sanitize_text_field($_POST['quantity1']);				
			$payment_status = 		sanitize_text_field($_POST['payment_status']);
			$payment_amount = 		sanitize_text_field($_POST['mc_gross']);
			$payment_currency = 	sanitize_text_field($_POST['mc_currency']);
			$payer_email = 			sanitize_email($_POST['payer_email']);
			$fee = 					sanitize_text_field($_POST['mc_fee']);
			
			$ipn_post = array(
				'post_title'    => $item_name,
				'post_status'   => 'publish',
				'post_author'   => $post_id_author,
				'post_type'     => 'wpplugin_event'
			);
			
			// left here as a debugging tool
			//$payment_status = file_get_contents("php://input");
			
			// event name
			$event_name_data = get_post($custom);
			$event_name = $event_name_data->post_title;
			
			$post_id = wp_insert_post($ipn_post);
			update_post_meta($post_id, 'wpeevent_button_payment_status', $payment_status);
			update_post_meta($post_id, 'wpeevent_button_payment_amount', $payment_amount);
			update_post_meta($post_id, 'wpeevent_button_payment_currency', $payment_currency);
			update_post_meta($post_id, 'wpeevent_button_txn_id', $txn_id);
			update_post_meta($post_id, 'wpeevent_button_payer_email', $payer_email);
			update_post_meta($post_id, 'wpeevent_button_event_name', $event_name);
			update_post_meta($post_id, 'wpeevent_button_custom', $custom);
			
			// generate qr code
			$post_data = get_post($post_id);
			$post_date = $post_data->post_date;
			$hash = md5($post_date);
			$qr_url = get_admin_url() . "admin-post.php?action=add_wpeevent_button_qr&order=$custom|$post_id|$hash";
			$qr_url = urlencode($qr_url);
			$qr_code = "<img src='https://chart.googleapis.com/chart?chs=150x150&cht=qr&chl=$qr_url&choe=UTF-8' />";
			
			// item name
			update_post_meta($post_id, 'wpeevent_button_item_name_1', $item_name_1);
			$item_name_2 = 			sanitize_text_field($_POST['item_name2']);
			if ($item_name_2) {
				update_post_meta($post_id, 'wpeevent_button_item_name_2', $item_name_2);
			}
			$item_name_3 = 			sanitize_text_field($_POST['item_name3']);
			if ($item_name_3) {
				update_post_meta($post_id, 'wpeevent_button_item_name_3', $item_name_3);
			}
			
			// item qty
			update_post_meta($post_id, 'wpeevent_button_item_qty_1', $item_qty_1);
			$item_qty_2 = 			intval($_POST['quantity2']);
			if ($item_qty_2) {
				update_post_meta($post_id, 'wpeevent_button_item_qty_2', $item_qty_2);
			}
			$item_qty_3 = 			intval($_POST['quantity3']);
			if ($item_qty_3) {
				update_post_meta($post_id, 'wpeevent_button_item_qty_3', $item_qty_3);
			}
			
			// item price
			update_post_meta($post_id, 'wpeevent_button_item_price_1', $item_price_1);
			$item_price_2 = 			intval($_POST['mc_gross_2']);
			if ($item_price_2) {
				update_post_meta($post_id, 'wpeevent_button_item_price_2', $item_price_2);
			}
			$item_price_3 = 			intval($_POST['mc_gross_3']);
			if ($item_price_3) {
				update_post_meta($post_id, 'wpeevent_button_item_price_3', $item_price_3);
			}
			
			// item number
			$item_number_1 = 			sanitize_text_field($_POST['item_number1']);
			if ($item_number_1) {
				update_post_meta($post_id, 'wpeevent_button_item_number_1', $item_number_1);
			}
			$item_number_2 = 			sanitize_text_field($_POST['item_number2']);
			if ($item_number_2) {
				update_post_meta($post_id, 'wpeevent_button_item_number_2', $item_number_2);
			}
			$item_number_3 = 			sanitize_text_field($_POST['item_number3']);
			if ($item_number_3) {
				update_post_meta($post_id, 'wpeevent_button_item_number_3', $item_number_3);
			}
			
			
			
			$out = "<table width='400px'>";
				for( $i = 0; $i<20; $i++ ) {
					if (esc_attr(get_post_meta($post_id,"wpeevent_button_item_name_$i",true))) {
						$out .= "<td colspan='3' style='border-top:1px dashed #888;'></td></tr><tr><td width='30px'>";
						$out .= "#$i </td><td width='120px'>";
						$out .= esc_attr(get_post_meta($custom,'wpeevent_button_h_name',true)); $out .= "</td><td>"; $out .= esc_attr(get_post_meta($post_id,"wpeevent_button_item_name_$i",true)); $out .= "</td></tr><tr><td></td><td>";
						$out .= esc_attr(get_post_meta($custom,'wpeevent_button_h_title',true)); $out .= "</td><td>"; $out .= esc_attr(get_post_meta($post_id,"wpeevent_button_item_qty_$i",true)); $out .="</td></tr><tr><td></td><td>";
						$out .= esc_attr(get_post_meta($custom,'wpeevent_button_h_price',true)); $out .= "</td><td>"; $amount = esc_attr(get_post_meta($post_id,"wpeevent_button_item_price_$i",true)); $out .= number_format((float)$amount, 2, '.', '');
						if ($count == $i) {
							$out .= "</td></tr><tr><td colspan='3' style='border-top:1px dashed #888;'>";
						} else {
							$out .= "</td></tr><tr><td>";
						}
						$out .= "</td></tr><tr>";
					}
				}
			$out .= "</tr></table>";
			
			$item_name = $out;
			
			
			
			
			// send emails
			$send_admin_email = "1";
			$send_customer_email = "1";
			include_once ('private_emails.php');
			
			
		}
		
		if(DEBUG == true) {
			error_log(date('[Y-m-d H:i e] '). "Verified IPN: $req ". PHP_EOL, 3, LOG_FILE);
		}
	} else if (strcmp ($res, "INVALID") == 0) {
		// log for manual investigation
		if(DEBUG == true) {
			error_log(date('[Y-m-d H:i e] '). "Invalid IPN: $req" . PHP_EOL, 3, LOG_FILE);
		}
		
	}

}